from django.conf.urls import include, url
from rest_framework.routers import DefaultRouter

from apps.notebooks.views import JustListNotebooks, NotebookListView, OneNotebook

router = DefaultRouter()
router.register("notebooks", NotebookListView, basename="notebooks")
notebooks_urlpatterns = [
    url("api/v1/old/", include(router.urls)),
    url("api/v1/notebooks/(?P<notebook_id>.+)", OneNotebook.as_view()),
    url("api/v1/notebooks", JustListNotebooks.as_view()),
]
print(router.urls)
